Page 1 of 1

MPI_Comm_group: invalid communicator for all scalapack progs

PostPosted: Thu Jan 05, 2006 9:21 pm
by viktor
I'm compiling example.f

Code: Select all
f77 -f -o example1 example1.f libscalapack.a  blacsF77init_MPI-LINUX-0.a blacs_MPI-LINUX-0.a \
              blacsF77init_MPI-LINUX-0.a blas_LINUX.a /opt/lam711/lib/libmpi.a -lnsl -lsocket

and after mpirun -np 6 example1 getting error
Code: Select all
MPI_Comm_group: invalid communicator: Invalid argument (rank 0, MPI_COMM_WORLD)
Rank (0, MPI_COMM_WORLD): Call stack within LAM:
Rank (0, MPI_COMM_WORLD):  - MPI_Comm_group()
Rank (0, MPI_COMM_WORLD):  - main()


thr same for ./xdlu and other testss

PostPosted: Tue Jan 10, 2006 1:34 pm
by Julie
Hello,

the problem is likely to be in the installation of your BLACS library.
With LAM/MPI, the TRANSCOMM flag (in the Bmake.inc) need to be set to -DUseMpi2. (The error you encounter is likely to be produced by a wrong TRANSCOMM.) LAM/MPI - BLACS - ScaLAPACK work fine all together.

Let me know if this helps,
Julie